Subject: bug#54969: "activate.scm.drv" Empty and Live

From: Zain Jabbar <[email-masked]>
Date: Sat, 16 Apr 2022 04:18:57 -1000

Aloha Maxime Devos,

Your suggestion worked! I did the following but I'm not sure how much was
actually needed:

1. Use guix pull and guix system to switch to an older generation (I did
like -100)
2. Use guix gc
3. Run guix system again which remakes the files (like activate.scm as per
title)

This time guix system actually runs to completion. Mahalo nui iā ʻoe!

On Sat, Apr 16, 2022, 3:53 AM Maxime Devos <[email-masked]> wrote:

> Zain Jabbar schreef op vr 15-04-2022 om 15:20 [-1000]:
> > Is it known why this could happen in the first place?
>
> I guess a power outage or the like.  Currently the guix daemon never
> calls 'sync' or the like (except possibly for the SQlite db), though
> maybe it should (at cost of some performance).
>
> > Is the only way to fix this to reinstall Guix?
>
> That's a way to do it, but there are less heavy-handed ways.  E.g.,
> maybe "guix gc --verify=repair" could be extended to delete objects
> that are broken (wrong hash) and aren't referenced? (long-term)
>
> For the short term, maybe do "guix gc", possibly some of the broken
> files are unused.
>
> Greetings,
> Maxime.
>